Skip to main content
POST
/
data_entries
/
physical_sample
curl -X POST "https://api.atomscale.ai/data_entries/physical_sample" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "data_ids": ["d290f1ee-6c54-4b01-90e6-d701748f0851"],
    "physical_sample_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab"
  }'
null
Associates one or more data entries with a physical sample. To detach the data entries from their current sample, pass null for physical_sample_id.
data_ids
array
required
UUIDs of the data entries to associate
physical_sample_id
string
required
UUID of the physical sample to associate with the data entries. Pass null to detach the data entries from their current sample.

Response

Returns an empty response on success.
curl -X POST "https://api.atomscale.ai/data_entries/physical_sample" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "data_ids": ["d290f1ee-6c54-4b01-90e6-d701748f0851"],
    "physical_sample_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab"
  }'
null